Bug 865414 - system don't re-establish the network connection after resuming from suspension
system don't re-establish the network connection after resuming from suspension
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 07:43 EDT by Abhay
Modified: 2014-02-05 17:50 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:50:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (71.74 KB, application/octet-stream)
2012-10-11 07:43 EDT, Abhay
no flags Details
pm_utils_bugreport_info_sh (10.65 KB, application/octet-stream)
2012-10-11 07:44 EDT, Abhay
no flags Details

  None (edit)
Description Abhay 2012-10-11 07:43:22 EDT
Created attachment 625486 [details]
dmesg

Description of problem:
System don't re-establish the network connection after resuming from suspension.

Version-Release number of selected component (if applicable):
$ rpm -q pm-utils
pm-utils-1.4.1-21.fc18.x86_64


How reproducible:
Always


Steps to Reproduce:
1. suspend the system using pm-suspend command.
2. resume the system by pressing power button
3. system correctly resumes except it doesn't re-establish the network connection
  
Actual results:
System doesn't re-establish  the network connection.

Expected results:
system should successfully re-establish the network connection.
Comment 1 Abhay 2012-10-11 07:44:17 EDT
Created attachment 625487 [details]
pm_utils_bugreport_info_sh
Comment 2 Jaroslav Škarvada 2013-03-18 05:27:30 EDT
Thanks for the report, I will check this, it does seem as some problem in NetworkManager hook.

FYI the desktop now uses systemd to handle the suspend/resume and the pm-utils are bypassed (there was bug 904221, but it was rejected by systemd folks).
Comment 3 Fedora End Of Life 2013-12-21 10:08:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 17:50:06 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.